Merge lp:~dangarner/xibo/client-140 into lp:~xibo-maintainers/xibo/d-arrest

Proposed by Dan Garner
Status: Merged
Merged at revision: 258
Proposed branch: lp:~dangarner/xibo/client-140
Merge into: lp:~xibo-maintainers/xibo/d-arrest
Diff against target: 468 lines (+330/-2) (has conflicts)
11 files modified
client/dotNET/Properties/Settings.Designer.cs (+4/-0)
client/dotNET/Properties/Settings.settings (+4/-0)
client/dotNET/app.config (+13/-1)
client/offline/XiboOfflineDownload.py (+4/-0)
client/python-installer/xibo-1.4.0-ubuntu.all-pyclient.sh (+272/-0)
client/python/XiboClient.py (+4/-0)
client/python/plugins/media/BrowserMediaAnimatedBase.py (+1/-1)
server/install/database/49.sql (+4/-0)
server/install/database/50.sql (+4/-0)
server/lib/include.php (+5/-0)
server/lib/pages/content.class.php (+15/-0)
Text conflict in client/dotNET/Properties/Settings.Designer.cs
Text conflict in client/dotNET/Properties/Settings.settings
Text conflict in client/dotNET/app.config
Text conflict in client/offline/XiboOfflineDownload.py
Text conflict in client/python-installer/xibo-1.4.0-ubuntu.all-pyclient.sh
Text conflict in client/python/XiboClient.py
Conflict adding file server/install/database/49.sql.  Moved existing file to server/install/database/49.sql.moved.
Text conflict in server/lib/include.php
Text conflict in server/lib/pages/content.class.php
To merge this branch: bzr merge lp:~dangarner/xibo/client-140
Reviewer Review Type Date Requested Status
Xibo Maintainters Pending
Review via email: mp+131731@code.launchpad.net
To post a comment you must log in.

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
1=== modified file 'client/dotNET/Properties/Settings.Designer.cs'
2--- client/dotNET/Properties/Settings.Designer.cs 2012-09-05 20:34:12 +0000
3+++ client/dotNET/Properties/Settings.Designer.cs 2012-10-27 12:53:21 +0000
4@@ -271,7 +271,11 @@
5
6 [global::System.Configuration.ApplicationScopedSettingAttribute()]
7 [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
8+<<<<<<< TREE
9 [global::System.Configuration.DefaultSettingValueAttribute("1.4.0rc1")]
10+=======
11+ [global::System.Configuration.DefaultSettingValueAttribute("1.4.0")]
12+>>>>>>> MERGE-SOURCE
13 public string ClientVersion {
14 get {
15 return ((string)(this["ClientVersion"]));
16
17=== modified file 'client/dotNET/Properties/Settings.settings'
18--- client/dotNET/Properties/Settings.settings 2012-09-05 20:34:12 +0000
19+++ client/dotNET/Properties/Settings.settings 2012-10-27 12:53:21 +0000
20@@ -69,7 +69,11 @@
21 <Value Profile="(Default)">cacheManager.xml</Value>
22 </Setting>
23 <Setting Name="ClientVersion" Type="System.String" Scope="Application">
24+<<<<<<< TREE
25 <Value Profile="(Default)">1.4.0rc1</Value>
26+=======
27+ <Value Profile="(Default)">1.4.0</Value>
28+>>>>>>> MERGE-SOURCE
29 </Setting>
30 <Setting Name="scrollStepAmount" Type="System.Decimal" Scope="User">
31 <Value Profile="(Default)">1</Value>
32
33=== modified file 'client/dotNET/app.config'
34--- client/dotNET/app.config 2012-09-05 20:34:12 +0000
35+++ client/dotNET/app.config 2012-10-27 12:53:21 +0000
36@@ -135,7 +135,11 @@
37 <value>cacheManager.xml</value>
38 </setting>
39 <setting name="ClientVersion" serializeAs="String">
40+<<<<<<< TREE
41 <value>1.4.0rc1</value>
42+=======
43+ <value>1.4.0</value>
44+>>>>>>> MERGE-SOURCE
45 </setting>
46 <setting name="xmdsResetTimeout" serializeAs="String">
47 <value>900</value>
48@@ -148,4 +152,12 @@
49 </setting>
50 </XiboClient.Properties.Settings>
51 </applicationSettings>
52-<startup><supportedRuntime version="v2.0.50727"/></startup></configuration>
53+ <startup>
54+ <supportedRuntime version="v2.0.50727"/>
55+ </startup>
56+ <system.net>
57+ <settings>
58+ <servicePointManager expect100Continue="false" />
59+ </settings>
60+ </system.net>
61+</configuration>
62
63=== modified file 'client/offline/XiboOfflineDownload.py'
64--- client/offline/XiboOfflineDownload.py 2012-10-25 22:45:25 +0000
65+++ client/offline/XiboOfflineDownload.py 2012-10-27 12:53:21 +0000
66@@ -21,7 +21,11 @@
67 # along with Xibo. If not, see <http://www.gnu.org/licenses/>.
68
69 # Static Variables
70+<<<<<<< TREE
71 VERSION = '1.5.0'
72+=======
73+VERSION = '1.4.0'
74+>>>>>>> MERGE-SOURCE
75 APP_NAME = 'Xibo Offline Download Client'
76
77 # Imports
78
79=== modified file 'client/python-installer/xibo-1.4.0-ubuntu.all-pyclient.sh' (properties changed: +x to -x)
80--- client/python-installer/xibo-1.4.0-ubuntu.all-pyclient.sh 2012-10-25 22:58:14 +0000
81+++ client/python-installer/xibo-1.4.0-ubuntu.all-pyclient.sh 2012-10-27 12:53:21 +0000
82@@ -1,3 +1,4 @@
83+<<<<<<< TREE
84 #!/bin/bash
85
86 set -e
87@@ -267,3 +268,274 @@
88
89 ;;
90 esac
91+=======
92+#!/bin/bash
93+
94+set -e
95+
96+# Script by Brian Mathis - http://www.brianmathis.net (c) 2012
97+# This script will update, download, and install the Python
98+# client for use with Xibo - Open Source Digital Signage
99+
100+# This program is free software: you can redistribute it and/or modify
101+# it under the terms of the GNU General Public License as published by
102+# the Free Software Foundation, either version 3 of the License, or
103+# (at your option) any later version.
104+
105+# This program is distributed in the hope that it will be useful,
106+# but WITHOUT ANY WARRANTY; without even the implied warranty of
107+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
108+# GNU General Public License for more details.
109+
110+# You should have received a copy of the GNU General Public License
111+# along with this program. If not, see http://www.gnu.org/licenses
112+
113+#######################################################################
114+###
115+### Version 1.4.0 - 10/24/2012
116+### Changelog
117+###
118+### 1. Updated to use 1.4 branch of Xibo
119+###
120+### Version 1.3.3 - 8/16/2011
121+### Changelog
122+###
123+### 1. Removed support for 9.10
124+### 2. Added support for 11.10
125+### 3. Added libvdpau1 dependency
126+### 4. Changed binary tar download
127+### 5. Changed pulled version to 1.3
128+### 6. Removed running configuration utility (broken)
129+###
130+### Version 1.3.2 - 2/14/2011
131+### Changelog
132+###
133+### 1. Added an option to run the configuration utility
134+### 2. Installing a new client will now run the configuration utility after client is installed
135+### 3. Changed bzr to pull from xibo/1.2
136+###
137+### Version 1.3.1 - 2/8/2011
138+### Changelog
139+###
140+### 1. Changed folder check directory to /opt/xibo/pyclient
141+### 2. Moved folder check to the beginning of install to stop script before downloading and packages
142+### 3. Added the -p option to continue if /opt/xibo exists
143+### 4. Checks if /opt/xibo/pyclient exists before attempting to update client
144+### 5. Added error if dir doesnt exist when updating
145+###
146+### Version 1.3 - 1/29/2011
147+### Changelog
148+###
149+### 1. Added support for 11.04.
150+### 2. Added command to stop script on any error.
151+### 3. Added case menu to select install or update.
152+### 4. Checks if /opt/xibo already exists. If it does, the script will exit.
153+### 5. If updating, creates a backup of site.cfg, just in case.
154+###
155+#######################################################################
156+
157+# Checks to ensure the user is running as root since we will be making system wide changes
158+
159+if [ ! "`whoami`" = "root" ]; then
160+ echo " "
161+ echo "========================================================"
162+ echo " This script must be run as root or with sudo... Exiting"
163+ echo "========================================================" 1>&2
164+ sleep 3
165+ exit 1
166+fi
167+
168+echo " "
169+echo "========================================================"
170+echo " Xibo Python Client Installation Script v1.3"
171+echo " Ubuntu 9.04, 9.10, 10.04, 10.10, & 11.04"
172+echo " Script by Brian Mathis - http://www.brianmathis.net (c)2010-2011"
173+echo " This script will update, download, and install the Python"
174+echo " client for use with Xibo - Open Source Digital Signage"
175+echo "========================================================"
176+echo " "
177+echo "Please select an option to continue..."
178+echo " "
179+echo " [1] Install new client"
180+echo " [2] Update client"
181+## echo " [3] Run Configuration Utility"
182+echo " [q] Quit"
183+echo " "
184+echo " "
185+
186+read OPTION
187+
188+ case "$OPTION" in
189+ "1")
190+
191+ # Stops the script if dir already exists.
192+ if [ -d "/opt/xibo/pyclient" ]; then
193+
194+ echo "Error: /opt/xibo already exists. If you would like to upgrade"
195+ echo "your client, please choose option 2. Otherwise, please check"
196+ echo "the directory and try again."
197+ exit 1
198+
199+ else
200+
201+ # Creates dir
202+ mkdir -p /opt/xibo
203+
204+ fi
205+
206+ # Check which version of Ubuntu the user is running and then selects what to do
207+ codename=`lsb_release -c | awk '{print $2}'`
208+
209+ if [ "$codename" = "jaunty" ];
210+
211+ then echo "Ubuntu 9.04 is no longer officially supported by Canonical, please use Ubuntu 10.04" && exit 1
212+
213+ elif [ "$codename" = "karmic" ];
214+
215+ then echo "Ubuntu 9.10 is no longer officially supported by Canonical, please use Ubuntu 10.04" && exit 1
216+
217+ elif [ "$codename" = "lucid" ]
218+
219+ then
220+ echo " "
221+ echo "========================================================"
222+ echo " Installing Xibo Python Client for Ubuntu 10.04"
223+ echo " Required packages and binaries will now be installed"
224+ echo "========================================================"
225+ echo " "
226+
227+ # Updates the package manager
228+ apt-get update > /dev/null
229+
230+ # downloads the required files per http://wiki.xibo.org.uk/wiki/Install_Guide_Python_Client#Ubuntu_10.04_and_derivatives
231+ apt-get install -y libboost-python1.40.0 libboost-thread1.40.0 libdc1394-22 libgtk2.0-0 libavutil49 bzr python-soappy python-feedparser python-serial flashplugin-nonfree libavcodec52 libavformat52 libswscale0 libsdl1.2debian-pulseaudio libvdpau1 > /dev/null
232+
233+ # downloads the binary files that Alex Harrington put together
234+
235+ wget http://launchpad.net/xibo/1.4/1.4.0/+download/libavg-1.7.1-vdpau-berkelium11.tar.gz
236+
237+
238+ elif [ "$codename" = "maverick" ]
239+
240+ then echo "Ubuntu 10.10 is not supported by Xibo, please us 10.04" && exit 1
241+
242+
243+ elif [ "$codename" = "natty" ]
244+
245+ then echo "Ubuntu 11.04 is not yet supported by Xibo, please us 10.04" && exit 1
246+
247+ elif [ "$codename" = "Oneiric" ]
248+
249+ then echo "Ubuntu 11.10 is not supported by Xibo, please use 10.04" && exit 1
250+
251+ else
252+
253+ echo "Error: I cannot determine your version of Ubuntu." && exit 1
254+
255+ fi
256+
257+
258+ # extracts the tar to /
259+ tar xf libavg-* -C /
260+
261+ # removes tar file after extract
262+ rm libavg-*
263+
264+ # runs ldconfig
265+ ldconfig
266+
267+ # moves to dir and downloads pyclient
268+ # cd /opt/xibo && bzr branch http://bazaar.launchpad.net/~xibo-maintainers/xibo/biela
269+ cd /opt/xibo && bzr branch lp:xibo/1.4 pyclient
270+
271+ ## renames the directory
272+ # mv biela pyclient
273+
274+ # grants 777 read/write permissions to all
275+ chmod -R 777 /opt/xibo
276+
277+ # opens configuration client by Matt Holder
278+ # cd /opt/xibo/pyclient/client/python/ && ./configure.py
279+
280+ echo " "
281+ echo "========================================================"
282+ echo " All done. Navigate to /opt/xibo/pyclient/client/python"
283+ echo " to make changes to site.cfg "
284+ echo " For more info on the Python client, visit: "
285+ echo " http://wiki.xibo.org.uk/wiki/Install_Guide_Python_Client"
286+ echo "========================================================"
287+ echo " "
288+
289+ sleep 3
290+
291+ ;;
292+
293+ "2")
294+
295+ # Checks to make sure Xibo is in /opt/xibo/pyclient.
296+ if [ -d "/opt/xibo/pyclient" ]; then
297+
298+ echo " "
299+ echo "========================================================"
300+ echo " Creating a backup of site.cfg and updating the"
301+ echo " Xibo bzr branch. "
302+ echo "========================================================"
303+ echo " "
304+
305+ sleep 3
306+
307+ # Before pulling, make a backup of site.cfg
308+ cp /opt/xibo/pyclient/client/python/site.cfg /opt/xibo/pyclient/client/python/site.cfg.backup
309+
310+ # Move to the install dir
311+ cd /opt/xibo/pyclient
312+
313+ # Pull the latest and greatest from bzr
314+ bzr pull > /dev/null
315+
316+ echo " "
317+ echo " "
318+ echo "========================================================"
319+ echo " Done updating your client."
320+ echo "========================================================"
321+ echo " "
322+
323+ sleep 3
324+
325+ else
326+
327+ echo " "
328+ echo "Error: /opt/xibo/pyclient does not exist. Was it installed somewhere else?"
329+ echo " "
330+
331+ fi
332+
333+ ;;
334+
335+ ## "3")
336+
337+ ## Checks to make sure Xibo is in /opt/xibo/pyclient/client/python
338+ ## if [ -f "/opt/xibo/pyclient/client/python/configure.py" ]; then
339+
340+ ## cd /opt/xibo/pyclient/client/python/ && ./configure.py
341+
342+ ## else
343+
344+ ## echo " "
345+ ## echo "Error: configure.py does not appear to exsist in /opt/xibo/pyclient/client/python"
346+ ## echo " "
347+
348+ ## fi
349+
350+ ## ;;
351+
352+ "Q"|"q")
353+
354+ echo " "
355+ echo "Thanks for using Xibo - Open Source Digital Signage"
356+ echo " "
357+ echo " "
358+
359+ ;;
360+ esac
361+>>>>>>> MERGE-SOURCE
362
363=== modified file 'client/python/XiboClient.py'
364--- client/python/XiboClient.py 2012-10-25 22:45:25 +0000
365+++ client/python/XiboClient.py 2012-10-27 12:53:21 +0000
366@@ -50,7 +50,11 @@
367
368 from ThirdParty.period.period import in_period
369
370+<<<<<<< TREE
371 version = "1.5.0"
372+=======
373+version = "1.4.0"
374+>>>>>>> MERGE-SOURCE
375
376 # What layout schema version is supported
377 schemaVersion = 1
378
379=== modified file 'client/python/plugins/media/BrowserMediaAnimatedBase.py'
380--- client/python/plugins/media/BrowserMediaAnimatedBase.py 2012-07-09 17:59:26 +0000
381+++ client/python/plugins/media/BrowserMediaAnimatedBase.py 2012-10-27 12:53:21 +0000
382@@ -103,7 +103,7 @@
383 self.fitText = 'false'
384 self.scaleText = 'true'
385 else:
386- self.fitTest = 'true'
387+ self.fitText = 'true'
388 self.scaleText = 'false'
389
390
391
392=== added file 'server/install/database/49.sql'
393--- server/install/database/49.sql 1970-01-01 00:00:00 +0000
394+++ server/install/database/49.sql 2012-10-27 12:53:21 +0000
395@@ -0,0 +1,4 @@
396+
397+UPDATE `version` SET `app_ver` = '1.4.0-rc1', `XmdsVersion` = 3;
398+UPDATE `setting` SET `value` = 0 WHERE `setting` = 'PHONE_HOME_DATE';
399+UPDATE `version` SET `DBVersion` = '49';
400\ No newline at end of file
401
402=== renamed file 'server/install/database/49.sql' => 'server/install/database/49.sql.moved'
403=== added file 'server/install/database/50.sql'
404--- server/install/database/50.sql 1970-01-01 00:00:00 +0000
405+++ server/install/database/50.sql 2012-10-27 12:53:21 +0000
406@@ -0,0 +1,4 @@
407+
408+UPDATE `version` SET `app_ver` = '1.4.0', `XmdsVersion` = 3;
409+UPDATE `setting` SET `value` = 0 WHERE `setting` = 'PHONE_HOME_DATE';
410+UPDATE `version` SET `DBVersion` = '50';
411\ No newline at end of file
412
413=== modified file 'server/lib/include.php'
414--- server/lib/include.php 2012-09-16 15:52:24 +0000
415+++ server/lib/include.php 2012-10-27 12:53:21 +0000
416@@ -108,8 +108,13 @@
417 Config::Version($db);
418
419 // Does the version in the DB match the version of the code?
420+<<<<<<< TREE
421 if (DBVERSION != '60')
422 die(sprintf('Incompatible database version detected. Please ensure your database and website versions match. You have %d and the website for %d', DBVERSION, 60));
423+=======
424+if (DBVERSION != '50')
425+ die(sprintf('Incompatible database version detected. Please ensure your database and website versions match. You have %d and the website for %d', DBVERSION, 50));
426+>>>>>>> MERGE-SOURCE
427
428 // What is the production mode of the server?
429 if(Config::GetSetting($db, 'SERVER_MODE') == 'Test') ini_set('display_errors', 1);
430
431=== modified file 'server/lib/pages/content.class.php'
432--- server/lib/pages/content.class.php 2012-09-27 14:04:35 +0000
433+++ server/lib/pages/content.class.php 2012-10-27 12:53:21 +0000
434@@ -104,7 +104,17 @@
435
436 $type_list = dropdownlist($sql, 'mediatype', $mediatype);
437
438+<<<<<<< TREE
439 // Filter
440+=======
441+ // Messages
442+ $msgName = __('Name');
443+ $msgType = __('Type');
444+ $msgRetired = __('Retired');
445+ $msgOwner = __('Owner');
446+ $msgShowOriginal = __('Show the original file name for each media item?');
447+
448+>>>>>>> MERGE-SOURCE
449 $filterForm = <<<END
450 <div class="FilterDiv" id="LibraryFilter">
451 <form>
452@@ -164,8 +174,13 @@
453 $shared = Kit::GetParam('shared', _REQUEST, _STRING);
454 $filter_userid = Kit::GetParam('filter_userid', _REQUEST, _STRING, 'all');
455 $filter_retired = Kit::GetParam('filter_retired', _REQUEST, _STRING, 'all');
456+<<<<<<< TREE
457 $filterShowOriginal = Kit::GetParam('filter_showOriginal', _REQUEST, _CHECKBOX, 'off');
458
459+=======
460+ $filterShowOriginal = Kit::GetParam('filter_showOriginal', _REQUEST, _CHECKBOX, 'off');
461+
462+>>>>>>> MERGE-SOURCE
463 setSession('content', 'mediatype', $mediatype);
464 setSession('content', 'name', $name);
465 setSession('content', 'shared', $shared);
466
467=== modified file 'server/lib/pages/user.class.php'
468=== modified file 'server/modules/module_user_general.php'

Subscribers

People subscribed via source and target branches

to all changes: